Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: mcelog

Tunables Interfaces

### Description:

Linux hardware error daemon.

### Tunables:

mcelog_client

##### Default value

false

##### Description

Determine whether mcelog supports client mode.

mcelog_exec_scripts

##### Default value

true

##### Description

Determine whether mcelog can execute scripts.

mcelog_foreground

##### Default value

false

##### Description

Determine whether mcelog can use all the user ttys.

mcelog_server

##### Default value

false

##### Description

Determine whether mcelog supports server mode.

mcelog_syslog

##### Default value

false

##### Description

Determine whether mcelog can use syslog.

Return

### Interfaces:

mcelog_admin( domain , role )

##### Summary

All of the rules required to administrate an mcelog environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

mcelog_domtrans( domain )

##### Summary

Execute a domain transition to run mcelog.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

Return